AutoSegments_Perpandiculars(3)

NAME
AutoSegments_Perpandiculars - All perpandicular AutoSegment to a set of aligneds.

SYNOPSIS

Inherits Collection< Type >.

  Public Member Functions
AutoSegments_Perpandiculars (AutoSegment *master)
AutoSegments_Perpandiculars (const AutoSegments_Perpandiculars &)
virtual AutoSegmentHC * getClone () const
virtual AutoSegmentHL * getLocator () const

Detailed Description

All perpandicular AutoSegment to a set of aligneds. A Collection to iterate over all the AutoSegment perpandicular to the set of aligned AutoSegment of master.

Remark: This Collection is canonical aware (work on the aligned set).

Constructor & Destructor Documentation

  AutoSegments_Perpandiculars (AutoSegment * master) [inline]
Create a collection of all the AutoSegment perpandicular to the aligned set of master.

  AutoSegments_Perpandiculars (const AutoSegments_Perpandiculars & autosegments) [inline]
Copy constructor.

Member Function Documentation

  AutoSegmentHC * getClone () const [virtual]
Returns: A deep copy of the Collection.

Implements Collection< Type >.

  AutoSegmentHC * getLocator () const [virtual]
Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.